Bug 170055 - Update port deskutils/calibre to 0.8.61
Update port deskutils/calibre to 0.8.61
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Guido Falsi
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-21 20:10 UTC by rnejdl
Modified: 2012-07-26 19:00 UTC (History)
0 users

See Also:


Attachments
calibre-0.8.61.diff (4.73 KB, patch)
2012-07-21 20:10 UTC, rnejdl
no flags Details | Diff
calibre0861.diff (4.76 KB, patch)
2012-07-25 19:14 UTC, cvs-src
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description rnejdl 2012-07-21 20:10:11 UTC
	Not quite sure what happened as I thought I had submitted an update to 0.8.57 but that never got comitted so I am sending an update to 0.8.61 now.
Comment 1 Edwin Groothuis freebsd_committer 2012-07-21 20:10:28 UTC
Class Changed
From-To: update->maintainer-update

Fix category (submitter is maintainer) (via the GNATS Auto Assign Tool)
Comment 2 Guido Falsi freebsd_committer 2012-07-21 21:57:05 UTC
Responsible Changed
From-To: freebsd-ports-bugs->madpilot

I'll take it.
Comment 3 cvs-src 2012-07-25 19:14:47 UTC
Here is updated patch, that counts PORTREVISION that I added recently.

-- 
Regards,
Ruslan

Tinderboxing kills... the drives.
Comment 4 rnejdl 2012-07-25 19:32:40 UTC
On 2012-07-25 13:14, Ruslan Mahmatkhanov wrote:
> Here is updated patch, that counts PORTREVISION that I added 
> recently.

Ruslan,

This patch you have sent is perfect so please go ahead and commit it 
when you have time.  This software updates every 2 weeks so is a bit of 
a bear to keep up with.

Sincerely,
Rusty Nejdl
Comment 5 Guido Falsi freebsd_committer 2012-07-26 18:53:29 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!
Comment 6 dfilter freebsd_committer 2012-07-26 18:53:33 UTC
Author: madpilot
Date: Thu Jul 26 17:53:20 2012
New Revision: 301573
URL: http://svn.freebsd.org/changeset/ports/301573

Log:
  - Update to 0.8.61
  - While here fix RUN_DEPENDS on www/py-beautifulsoup32
  
  PR:		ports/170055
  Submitted by:	Rusty Nejdl <rnejdl@ringofsaturn.com> (maintainer)
  Reviewed by:	rm
  Approved by:	tabthorpe (mentor)

Modified:
  head/deskutils/calibre/Makefile   (contents, props changed)
  head/deskutils/calibre/distinfo   (contents, props changed)
  head/deskutils/calibre/pkg-plist   (contents, props changed)

Modified: head/deskutils/calibre/Makefile
==============================================================================
--- head/deskutils/calibre/Makefile	Thu Jul 26 17:47:22 2012	(r301572)
+++ head/deskutils/calibre/Makefile	Thu Jul 26 17:53:20 2012	(r301573)
@@ -6,8 +6,7 @@
 #
 
 PORTNAME=	calibre
-PORTVERSION=	0.8.54
-PORTREVISION=	1
+PORTVERSION=	0.8.61
 CATEGORIES=	deskutils python
 MASTER_SITES=	SF/${PORTNAME}/${PORTVERSION}/
 
@@ -30,7 +29,7 @@ BUILD_DEPENDS=	${PYTHON_PKGNAMEPREFIX}se
 RUN_DEPENDS=	xdg-open:${PORTSDIR}/devel/xdg-utils \
 		${PYTHON_PKGNAMEPREFIX}dnspython>=0:${PORTSDIR}/dns/py-dnspython \
 		${PYTHON_PKGNAMEPREFIX}dateutil>=0:${PORTSDIR}/devel/py-dateutil \
-		${PYTHON_PKGNAMEPREFIX}beautifulsoup32>=0:${PORTSDIR}/www/py-beautifulsoup32 \
+		${PYTHON_PKGNAMEPREFIX}beautifulsoup>=0:${PORTSDIR}/www/py-beautifulsoup32 \
 		${PYTHON_PKGNAMEPREFIX}imaging>=0:${PORTSDIR}/graphics/py-imaging \
 		${PYTHON_PKGNAMEPREFIX}lxml>=0:${PORTSDIR}/devel/py-lxml \
 		${PYTHON_PKGNAMEPREFIX}mechanize>=0:${PORTSDIR}/www/py-mechanize \

Modified: head/deskutils/calibre/distinfo
==============================================================================
--- head/deskutils/calibre/distinfo	Thu Jul 26 17:47:22 2012	(r301572)
+++ head/deskutils/calibre/distinfo	Thu Jul 26 17:53:20 2012	(r301573)
@@ -1,2 +1,2 @@
-SHA256 (calibre-0.8.54.tar.xz) = 063b733e163b9bf78002f9cb35c2041a5f5550c9b91b38c8aa2b4d256877c847
-SIZE (calibre-0.8.54.tar.xz) = 24733284
+SHA256 (calibre-0.8.61.tar.xz) = fbbf54d952a13939557b57c5e13d673ed24b5b395fc550c2842d0bca49d3f380
+SIZE (calibre-0.8.61.tar.xz) = 25077408

Modified: head/deskutils/calibre/pkg-plist
==============================================================================
--- head/deskutils/calibre/pkg-plist	Thu Jul 26 17:47:22 2012	(r301572)
+++ head/deskutils/calibre/pkg-plist	Thu Jul 26 17:53:20 2012	(r301573)
@@ -36,6 +36,7 @@ lib/calibre/calibre/devices/android/__in
 lib/calibre/calibre/devices/android/driver.py
 lib/calibre/calibre/devices/apple/__init__.py
 lib/calibre/calibre/devices/apple/driver.py
+lib/calibre/calibre/devices/apple/itunes.py
 lib/calibre/calibre/devices/bambook/__init__.py
 lib/calibre/calibre/devices/bambook/driver.py
 lib/calibre/calibre/devices/bambook/libbambookcore.py
@@ -266,6 +267,7 @@ lib/calibre/calibre/ebooks/metadata/book
 lib/calibre/calibre/ebooks/metadata/book/base.py
 lib/calibre/calibre/ebooks/metadata/book/json_codec.py
 lib/calibre/calibre/ebooks/metadata/cli.py
+lib/calibre/calibre/ebooks/metadata/docx.py
 lib/calibre/calibre/ebooks/metadata/epub.py
 lib/calibre/calibre/ebooks/metadata/ereader.py
 lib/calibre/calibre/ebooks/metadata/extz.py
@@ -555,6 +557,7 @@ lib/calibre/calibre/gui2/catalog/catalog
 lib/calibre/calibre/gui2/catalog/catalog_tab_template_ui.py
 lib/calibre/calibre/gui2/comments_editor.py
 lib/calibre/calibre/gui2/complete.py
+lib/calibre/calibre/gui2/complete2.py
 lib/calibre/calibre/gui2/convert/__init__.py
 lib/calibre/calibre/gui2/convert/azw3_output_ui.py
 lib/calibre/calibre/gui2/convert/azw3_output.py
@@ -794,12 +797,13 @@ lib/calibre/calibre/gui2/store/stores/eb
 lib/calibre/calibre/gui2/store/stores/escapemagazine_plugin.py
 lib/calibre/calibre/gui2/store/stores/gandalf_plugin.py
 lib/calibre/calibre/gui2/store/stores/litres_plugin.py
+lib/calibre/calibre/gui2/store/stores/mills_boon_uk_plugin.py
 lib/calibre/calibre/gui2/store/stores/pragmatic_bookshelf_plugin.py
 lib/calibre/calibre/gui2/store/stores/nexto_plugin.py
 lib/calibre/calibre/gui2/store/stores/rw2010_plugin.py
+lib/calibre/calibre/gui2/store/stores/sony_plugin.py
 lib/calibre/calibre/gui2/store/stores/whsmith_uk_plugin.py
 lib/calibre/calibre/gui2/store/stores/zixo_plugin.py
-lib/calibre/calibre/gui2/store/stores/oreilly_plugin.py
 lib/calibre/calibre/gui2/store/stores/woblink_plugin.py
 lib/calibre/calibre/gui2/store/stores/archive_org_plugin.py
 lib/calibre/calibre/gui2/store/stores/weightless_books_plugin.py
@@ -936,6 +940,7 @@ lib/calibre/calibre/libunrar.py
 lib/calibre/calibre/libunzip.py
 lib/calibre/calibre/libwand.py
 lib/calibre/calibre/linux.py
+lib/calibre/calibre/plugins/calibre_style.so
 lib/calibre/calibre/plugins/cPalmdoc.so
 lib/calibre/calibre/plugins/chm_extra.so
 lib/calibre/calibre/plugins/chmlib.so
@@ -1208,6 +1213,7 @@ lib/calibre/pyPdf/generic.py
 lib/calibre/pyPdf/pdf.py
 lib/calibre/pyPdf/utils.py
 lib/calibre/pyPdf/xmp.py
+lib/calibre/qtcurve/test_rendering.py
 lib/calibre/routes/__init__.py
 lib/calibre/routes/base.py
 lib/calibre/routes/lru.py
@@ -1220,12 +1226,12 @@ share/applications/calibre-gui.desktop
 share/applications/calibre-lrfviewer.desktop
 share/applications/calibre-ebook-viewer.desktop
 share/mime/packages/calibre-mimetypes
-share/icons/hicolor/128x128/apps/calibre-gui.png
 share/icons/hicolor/128x128/apps/calibre-viewer.png
 share/icons/hicolor/128x128/mimetypes/application-lrf.png
 share/icons/hicolor/128x128/mimetypes/gnome-mime-application-lrf.png
 share/icons/hicolor/128x128/mimetypes/text-lrs.png
 share/icons/hicolor/128x128/mimetypes/gnome-mime-text-lrs.png
+share/icons/hicolor/256x256/apps/calibre-gui.png
 share/gnome/apps/calibre-gui.desktop
 share/gnome/apps/calibre-lrfviewer.desktop
 share/gnome/apps/calibre-ebook-viewer.desktop
@@ -1392,6 +1398,7 @@ share/gnome/apps/calibre-ebook-viewer.de
 %%DATADIR%%/images/mimetypes/bmp.png
 %%DATADIR%%/images/mimetypes/computer.png
 %%DATADIR%%/images/mimetypes/dir.png
+%%DATADIR%%/images/mimetypes/docx.png
 %%DATADIR%%/images/mimetypes/epub.png
 %%DATADIR%%/images/mimetypes/fb2.png
 %%DATADIR%%/images/mimetypes/gif.png
@@ -1473,6 +1480,8 @@ share/gnome/apps/calibre-ebook-viewer.de
 %%DATADIR%%/images/highlight_only_on.png
 %%DATADIR%%/images/connect_share_on.png
 %%DATADIR%%/images/drm-unlocked.png
+%%DATADIR%%/images/cover_texture.png
+%%DATADIR%%/images/scroll.png
 %%DATADIR%%/jacket/stylesheet.css
 %%DATADIR%%/jacket/template.xhtml
 %%DATADIR%%/jquery.simulate.js
@@ -1496,6 +1505,7 @@ share/gnome/apps/calibre-ebook-viewer.de
 %%DATADIR%%/templates/rtf.xsl
 %%DATADIR%%/templates/book_details.css
 %%DATADIR%%/tracer.epub
+%%DATADIR%%/viewer/blank.html
 %%DATADIR%%/viewer/bookmarks.js
 %%DATADIR%%/viewer/hyphenate/Hyphenator.js
 %%DATADIR%%/viewer/hyphenate/patterns.zip
@@ -1528,6 +1538,7 @@ share/gnome/apps/calibre-ebook-viewer.de
 @dirrm %%DATADIR%%
 @dirrm lib/calibre/templite
 @dirrm lib/calibre/routes
+@dirrm lib/calibre/qtcurve
 @dirrm lib/calibre/pyPdf
 @dirrm lib/calibre/odf
 @dirrm lib/calibre/chardet
@@ -1684,6 +1695,7 @@ share/gnome/apps/calibre-ebook-viewer.de
 @dirrmtry share/mime/packages
 @dirrmtry share/icons/hicolor/128x128/apps
 @dirrmtry share/icons/hicolor/128x128/mimetypes
+@dirrmtry share/icons/hicolor/256x256/apps
 @dirrmtry share/gnome/apps
 @dirrmtry share/gnome
 @dirrmtry share/desktop-directories
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"